Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.server.http
Class DirectoryServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--com.caucho.server.http.DirectoryServlet

All Implemented Interfaces:
  java.io.Serializable, Servlet, ServletConfig

public class DirectoryServlet
extends HttpServlet

See Also:
  Serialized Form

Constructor Summary
`DirectoryServlet()`
`DirectoryServlet(Path context)`

Method Summary
`void` | `doGet(HttpServletRequest req, HttpServletResponse res)` Called by the server (via the `service` method) to allow a servlet to handle a GET request.
`void` | `init()` A convenience method which can be overridden so that there's no need to call `super.init(config)`.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryServlet

    public DirectoryServlet(Path context)

### DirectoryServlet

    public DirectoryServlet()

Method Detail

### init

    public void init()

  Description copied from class: `GenericServlet`
  A convenience method which can be overridden so that there's no need to call `super.init(config)`.

  Instead of overriding `GenericServlet.init(ServletConfig)`, simply override this method and it will be called by `GenericServlet.init(ServletConfig config)`. The `ServletConfig` object can still be retrieved via `GenericServlet.getServletConfig()`.

  Overrides:
    `init` in class `GenericServlet`
  Following copied from class: `javax.servlet.GenericServlet`
  Throws:
    `ServletException` - if an exception occurs that interrupts the servlet's normal operation

### doGet

    public void doGet(HttpServletRequest req,
                      HttpServletResponse res)
               throws java.io.IOException

  Description copied from class: `HttpServlet`
  Called by the server (via the `service` method) to allow a servlet to handle a GET request.

  Overriding this method to support a GET request also automatically supports an HTTP HEAD request. A HEAD request is a GET request that returns no body in the response, only the request header fields.

  When overriding this method, read the request data, write the response headers, get the response's writer or output stream object, and finally, write the response data. It's best to include content type and encoding. When using a `PrintWriter` object to return the response, set the content type before accessing the `PrintWriter` object.

  The servlet container must write the headers before committing the response, because in HTTP the headers must be sent before the response body.

  Where possible, set the Content-Length header (with the `ServletResponse.setContentLength(int)` method), to allow the servlet container to use a persistent connection to return its response to the client, improving performance. The content length is automatically set if the entire response fits inside the response buffer.

  The GET method should be safe, that is, without any side effects for which users are held responsible. For example, most form queries have no side effects. If a client request is intended to change stored data, the request should use some other HTTP method.

  The GET method should also be idempotent, meaning that it can be safely repeated. Sometimes making a method safe also makes it idempotent. For example, repeating queries is both safe and idempotent, but buying a product online or modifying data is neither safe nor idempotent.

  If the request is incorrectly formatted, `doGet` returns an HTTP "Bad Request" message.

  Overrides:
    `doGet` in class `HttpServlet`
  Following copied from class: `javax.servlet.http.HttpServlet`
  Parameters:
    `req` - an `HttpServletRequest` object that contains the request the client has made of the servlet
    `resp` - an `HttpServletResponse` object that contains the response the servlet sends to the client
  Throws:
    `java.io.IOException` - if an input or output error is detected when the servlet handles the GET request
    `ServletException` - if the request for the GET could not be handled
  See Also:
    `ServletResponse.setContentType(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD